Bug 476808 - 'Content' pane in smart-gui is empty
'Content' pane in smart-gui is empty
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: smart (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-17 04:36 EST by John Pilkington
Modified: 2009-07-31 13:37 EDT (History)
0 users

See Also:
Fixed In Version: 1.1-59.0.1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-02 11:55:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Pilkington 2008-12-17 04:36:21 EST
Description of problem:The 'Content' pane normally shows the result of 'rpm -ql' for the highlighted package.  In fc10 it is empty.


Version-Release number of selected component (if applicable):1.1-56.fc10@x86_64


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:  This is the reply to my posting about this on the smart list

From: =?ISO-8859-1?Q?Anders_F_Bj=F6rklund?= <afb@algonet.se>
Subject: Re: smart-gui 'Content' tab empty in Fedora 10
Date: Mon, 15 Dec 2008 17:33:37 +0100

> Hi: I've just installed Fedora 10 and have the x86_64 release version of smart and smart-gui in the KDE desktop.  I haven't found a config option to show the useful 'rpm -ql' info that I see in the Centos 5.2 version: the panel is always empty.  The other tabs work as usual. Have I missed something?

It's the newer RPM version, an old deprecated tag is now gone.

See https://bugs.launchpad.net/smart/+bug/263762 for patch...

--anders
Comment 1 John Pilkington 2008-12-17 05:56:23 EST
It didn't at first occur to me that I could simply edit in the 6-line patch to the .py file and expect it to work: but it works-for-me :-)

File is /usr/lib64/python2.5/site-packages/smart/backends/rpm/header.py
Comment 2 Fedora Update System 2008-12-24 07:58:33 EST
smart-1.1-58.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2008-12-24 13:38:12 EST
smart-1.1-58.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2008-12-24 13:43:13 EST
smart-1.1-58.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-12-24 13:44:15 EST
smart-1.1-58.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 John Pilkington 2008-12-26 07:33:53 EST
I just installed 1.1-58.fc10@x86-64.  The 'Content' tab is still empty.

After making Comment #1 above I found that although the pane was no longer empty after editing in the suggested patch to 1.1-56, its content was _not_ always identical with that given by 'rpm -ql'.  I reported this to Anders, but not elsewhere.
Comment 7 Fedora Update System 2008-12-27 08:55:02 EST
smart-1.1-58.0.1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/smart-1.1-58.0.1.fc10
Comment 8 Axel Thimm 2008-12-27 13:43:49 EST
(In reply to comment #6)
> I just installed 1.1-58.fc10@x86-64.  The 'Content' tab is still empty.

This was a bad build, please try 1.1-58.0.1.fc10. Thanks!
Comment 9 John Pilkington 2008-12-30 08:04:18 EST
Downloaded and installed smart, smart-update, smart-gui  58.0.1 from the koji url.

The patch (if it's this one)
 
http://bazaar.launchpad.net/~afb/smart/sandbox/revision/936

still isn't here 

/usr/lib64/python2.5/site-packages/smart/backends/rpm/header.py

and the pane is still empty  :-(

Happy New Year!
Comment 10 Axel Thimm 2008-12-30 09:06:59 EST
OK, I thought this patch had made it into

https://code.launchpad.net/~smartpm/smart/bugfix

but I was wrong. So 1.1-58 will not fix it. I'll make another build, but I do want to get 1.1-58 out the door asap to fix all other issues.
Comment 11 John Pilkington 2008-12-30 12:14:04 EST
OK, it's not a major issue, although it would be nice to have it back - and perhaps the 'Changelog' tab that Anders mentioned, too. I didn't try that.

FYI, when I inserted the 'revision/936' patch as before,  smart produced an error message and exited.
Comment 12 Fedora Update System 2009-03-02 11:55:32 EST
smart-1.1-59.0.1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-03-02 11:56:09 EST
smart-1.1-59.0.1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.